<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" style="task" id="mintupdatex-cli">

  <info>
    <link type="guide" xref="index#advanced"/>

    <credit type="author">
      <name>Linux Mint</name>
      <email>root@linuxmint.com</email>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="legal.xml"/>

    <desc>Opdatering fra kommandolinjen</desc>
  </info>

  <title>Brug af mintupdatex-cli</title>

    <p>Opdateringshåndtering kommer med et kommandolinjeværktøj kaldet "mintupdatex-cli".</p>

    <p>Hvis du har erfaring med Linux, kan du anvende dette værktøj i dine skripter eller dine cron-job til at automatisere installeringen af programopdateringer.</p>

  <section id="tool1">

  <title>Opdateringsoversigt</title>

  <p>Du kan anvende kommandoen "list" til at få vist en oversigt over opdateringer:</p>

  <screen>mintupdatex-cli list</screen>

  <p>Du kan anvende -s til kun at vise sikkerhedsopdateringer.</p>

  <p>Du kan anvende -k til kun at vise kerneopdateringer.</p>

  <p>For eksempel vil følgende kommando vise alle sikkerhedsopdateringer:</p>

  <screen>mintupdatex-cli list -s</screen>

  </section>

  <section id="tool1">

  <title>Installerer opdateringer</title>

  <p>Du kan bruge kommandoen "upgrade" for at installere opdateringer med brug af de samme tilvalg.</p>

  <p>For eksempel vil følgende kommando installere alle kerneopdateringer:</p>

  <screen>sudo mintupdatex-cli upgrade -r -k</screen>

  <p>Bemærk argumentet -r, som blev tilføjet for at opdatere cachen.</p>

  <p>Få mere information om mintupdatex-cli og en fuldstændig liste over argumenter ved at skrive:</p>

  <screen>mintupdatex-cli -h</screen>

  </section>

</page>
